#
# this rule is necessary to ensure seamless building of the framework.
# gstep-make does not automatically export headers in the Classes subdir. The usual
# workaround seems to be to put the sources into a subdir that has the name of the
# framework so -I.. works automagically.
# Since I didn't want to modify the original file structure I have to setup
# a little hack so the headers will be found at build time.
#
before-all::
	if [ ! -d ./derived_src ]; then \
		mkdir derived_src; \
	fi; \
	cd derived_src; \
	if [ ! -L ObjcUnit ]; then \
		ln -s ../Classes ./ObjcUnit; \
	fi; \
	cd ..
